package be.iminds.ilabt.jfed.lowlevel;

/**
 * GeniUserProvider returns the logged in GeniUser.
 * <p>
 * When the user hasn't authenticated yet, the method getLoggedInGeniUser() will return null.
 */
public interface GeniUserProvider {
    /**
     * Info on main user
     */
    GeniUser getLoggedInGeniUser();

    boolean isUserLoggedIn();
}
